<?xml version="1.0"?>
<document>
   <properties>
      <title>HttpClient Home</title>
      <author email="commons-dev@jakarta.apache.org">Commons Documentation Team</author>
      <author email="rwaldhoff@apache.org">Rodney Waldhoff</author>
      <author email="jsdever@apache.org">Jeff Dever</author>
      <revision>$Id: index.xml,v 1.5 2002/10/13 18:55:02 sullis Exp $</revision>
   </properties>

   <body>
      <section name="The HttpClient Component">
         <p>
            The Hyper-Text Transfer Protocol (HTTP) is perhaps the most
            significant protocol used on the Internet today.
            Web services, network-enabled appliances and the growth
            of network computing continue to expand the role of the HTTP
            protocol beyond user-driven web browsers, and increase the
            number of applications that may require HTTP support.
         </p>
         <p>
            Although the
            <tt><a href="http://java.sun.com/j2se/1.4.1/docs/api/java/net/package-summary.html">java.net</a></tt>
            package provides basic support for accessing resources via HTTP,
            it doesn't provide the full flexibility or functionality needed
            by many applications.
            The Jakarta Commons <em>HttpClient</em> component seeks to fill this void
            by providing an efficient, up-to-date, and feature-rich package
            implementing the client side of the most recent HTTP standards
            and recommendations.
         </p>
         <p>
            Designed for extension while providing robust support for the
            base HTTP protocol, the <em>HttpClient</em> component may be of interest
            to anyone building HTTP-aware client applications such as web
            browsers, web service clients, or systems that leverage or extend
            the HTTP protocol for distributed communication.
         </p>
      </section>
   </body>
</document>
